Subject: Re: bug#74056: `LaTeX-insert-item' inserts comment characters if called from inside comment

From: Ikumi Keita <[email-masked]>
Date: Tue, 29 Oct 2024 20:00:19 +0900

>>>>> Vangelis Evangelou <[email-masked]> writes:
> I wonder whether `LaTeX-insert-into-comments' should be made a
> buffer-local variable so it is set accordingly in various modes. I
> know that this can be achieved with `setq-local' so it's not a major
> issue.

If you are talking about the implementation of the major modes in
AUCTeX, it isn't a problem as you say.

> I'd like to confirm your intention. It seems that you are saying that
>> "When I type M-RET in a line with only whitespace charactares, the \item
>> shoule be placeed in that line, not the line created anew below that
>> line."

> That is correct.

Thanks for confirmation. Then I'll work on that direction.

>>>>> Arash Esbati <[email-masked]> writes:
> What do think about adding ":safe #'booleanp" to the `defcustom'?  That
> way, people can set the global value via customize and change the
> behavior on per file basis.

Ah, that's a good idea. Does the change below look good? (I refilled the
doc string as well.)

diff --git a/latex.el b/latex.el
index 02fd1e33..9f767f99 100644
--- a/latex.el
+++ b/latex.el
@@ -66,12 +66,13 @@ A comma-seperated list of strings."
 
 (make-variable-buffer-local 'LaTeX-default-options)
 
-(defcustom LaTeX-insert-into-comments t
+(defcustom LaTeX-insert-into-comments nil
   "Whether insertion commands stay in comments.
-This allows using the insertion commands even when
-the lines are outcommented, like in dtx files."
+This allows using the insertion commands even when the lines are
+outcommented, like in dtx files."
   :group 'LaTeX-environment
-  :type 'boolean)
+  :type 'boolean
+  :safe #'booleanp)
 
 (defcustom docTeX-indent-across-comments nil
   "If non-nil, indentation in docTeX is done across comments."

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW